Bug 40324 - [SNB] gpu hang in mesa 7.11
[SNB] gpu hang in mesa 7.11
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: Kenneth Graunke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-23 13:22 UTC by Mateusz Kaduk
Modified: 2011-10-24 14:32 UTC (History)
4 users (show)

See Also:


Attachments
cat /tmp/debugfs/dri/0/i915_error_state (858.52 KB, application/octet-stream)
2011-08-27 02:21 UTC, Mateusz Kaduk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Kaduk 2011-08-23 13:22:51 UTC
When I run the following game http://www.heroesofnewerth.com
Then GPU freezes

GNU/Linux Debian (Kernel 3.0.3)
xserver-xorg-video-intel             2:2.15.901-1
xserver-xorg-core                    2:1.10.99.901+git20110731-1
libgl1-mesa-dev                      7.11~0-2
libgl1-mesa-dri                      7.11~0-2 
libgl1-mesa-glx                      7.11~0-2
libglu1-mesa                         7.11~0-2
libglu1-mesa-dev                     7.11~0-2
mesa-common-dev                      7.11~0-2
mesa-utils                           8.0.1-2+b1
libdrm-dev                           2.4.26-1 
libdrm-intel1                        2.4.26-1
libdrm-nouveau1a                     2.4.26-1
libdrm-radeon1                       2.4.26-1
libdrm2                              2.4.26-1
linux-image-3.0.3                    20.07.2011

# dmesg
....
render error detected, EIR: 0x00000010
page table error
  PGTBL_ER: 0x04000000
[drm:i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010, masking
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000010
page table error
  PGTBL_ER: 0x04000000
[drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 1508642 at 1508629, next 1508643)

# cat /var/log/Xorg.0.log
[  9858.353] 
X.Org X Server 1.10.99.901 (1.11.0 RC 1)
Release Date: 2011-06-01
[  9858.353] X Protocol Version 11, Revision 0
[  9858.353] Build Operating System: Linux 2.6.32-5-amd64 x86_64 Debian
[  9858.353] Current Operating System: Linux mash 3.0.3 #1 SMP PREEMPT Sat Aug 20 08:27:48 CEST 2011 x86_64
[  9858.353] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.0.3 root=UUID=af93fe4e-56d4-468b-8a81-f99f65565727 ro quiet
[  9858.353] Build Date: 31 July 2011  08:17:06PM
[  9858.353] xorg-server 2:1.10.99.901+git20110731-1 (Julien Cristau <jcristau@debian.org>) 
[  9858.353] Current version of pixman: 0.22.2
[  9858.353] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[  9858.353] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  9858.353] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Aug 23 21:39:24 2011
[  9858.354] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  9858.354] (==) No Layout section.  Using the first Screen section.
[  9858.354] (==) No screen section available. Using defaults.
[  9858.354] (**) |-->Screen "Default Screen Section" (0)
[  9858.354] (**) |   |-->Monitor "<default monitor>"
[  9858.354] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[  9858.354] (==) Automatically adding devices
[  9858.354] (==) Automatically enabling devices
[  9858.355] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[  9858.355] 	Entry deleted from font path.
[  9858.356] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[  9858.356] (==) ModulePath set to "/usr/lib/xorg/modules"
[  9858.356] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[  9858.356] (II) Loader magic: 0x7cfdc0
[  9858.356] (II) Module ABI versions:
[  9858.356] 	X.Org ANSI C Emulation: 0.4
[  9858.356] 	X.Org Video Driver: 11.0
[  9858.356] 	X.Org XInput driver : 13.0
[  9858.356] 	X.Org Server Extension : 5.0
[  9858.357] (--) PCI:*(0:0:2:0) 8086:2a02:17aa:20b5 rev 12, Mem @ 0xf8100000/1048576, 0xe0000000/268435456, I/O @ 0x00001800/8
[  9858.357] (--) PCI: (0:0:2:1) 8086:2a03:17aa:20b5 rev 12, Mem @ 0xf8200000/1048576
[  9858.357] (II) Open ACPI successful (/var/run/acpid.socket)
[  9858.357] (II) LoadModule: "extmod"
[  9858.357] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[  9858.357] (II) Module extmod: vendor="X.Org Foundation"
[  9858.357] 	compiled for 1.10.99.901, module version = 1.0.0
[  9858.357] 	Module class: X.Org Server Extension
[  9858.357] 	ABI class: X.Org Server Extension, version 5.0
[  9858.357] (II) Loading extension SELinux
[  9858.357] (II) Loading extension MIT-SCREEN-SAVER
[  9858.357] (II) Loading extension XFree86-VidModeExtension
[  9858.357] (II) Loading extension XFree86-DGA
[  9858.357] (II) Loading extension DPMS
[  9858.357] (II) Loading extension XVideo
[  9858.357] (II) Loading extension XVideo-MotionCompensation
[  9858.357] (II) Loading extension X-Resource
[  9858.357] (II) LoadModule: "dbe"
[  9858.357] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[  9858.358] (II) Module dbe: vendor="X.Org Foundation"
[  9858.358] 	compiled for 1.10.99.901, module version = 1.0.0
[  9858.358] 	Module class: X.Org Server Extension
[  9858.358] 	ABI class: X.Org Server Extension, version 5.0
[  9858.358] (II) Loading extension DOUBLE-BUFFER
[  9858.358] (II) LoadModule: "glx"
[  9858.358] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  9858.358] (II) Module glx: vendor="X.Org Foundation"
[  9858.358] 	compiled for 1.10.99.901, module version = 1.0.0
[  9858.358] 	ABI class: X.Org Server Extension, version 5.0
[  9858.358] (==) AIGLX enabled
[  9858.358] (II) Loading extension GLX
[  9858.358] (II) LoadModule: "record"
[  9858.358] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[  9858.358] (II) Module record: vendor="X.Org Foundation"
[  9858.358] 	compiled for 1.10.99.901, module version = 1.13.0
[  9858.358] 	Module class: X.Org Server Extension
[  9858.358] 	ABI class: X.Org Server Extension, version 5.0
[  9858.358] (II) Loading extension RECORD
[  9858.358] (II) LoadModule: "dri"
[  9858.358] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[  9858.358] (II) Module dri: vendor="X.Org Foundation"
[  9858.358] 	compiled for 1.10.99.901, module version = 1.0.0
[  9858.358] 	ABI class: X.Org Server Extension, version 5.0
[  9858.358] (II) Loading extension XFree86-DRI
[  9858.358] (II) LoadModule: "dri2"
[  9858.358] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[  9858.358] (II) Module dri2: vendor="X.Org Foundation"
[  9858.358] 	compiled for 1.10.99.901, module version = 1.2.0
[  9858.358] 	ABI class: X.Org Server Extension, version 5.0
[  9858.358] (II) Loading extension DRI2
[  9858.358] (==) Matched intel as autoconfigured driver 0
[  9858.358] (==) Matched vesa as autoconfigured driver 1
[  9858.358] (==) Matched fbdev as autoconfigured driver 2
[  9858.358] (==) Assigned the driver to the xf86ConfigLayout
[  9858.358] (II) LoadModule: "intel"
[  9858.358] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[  9858.358] (II) Module intel: vendor="X.Org Foundation"
[  9858.358] 	compiled for 1.10.99.901, module version = 2.15.901
[  9858.358] 	Module class: X.Org Video Driver
[  9858.358] 	ABI class: X.Org Video Driver, version 11.0
[  9858.358] (II) LoadModule: "vesa"
[  9858.359] (WW) Warning, couldn't open module vesa
[  9858.359] (II) UnloadModule: "vesa"
[  9858.359] (II) Unloading vesa
[  9858.359] (EE) Failed to load module "vesa" (module does not exist, 0)
[  9858.359] (II) LoadModule: "fbdev"
[  9858.359] (WW) Warning, couldn't open module fbdev
[  9858.359] (II) UnloadModule: "fbdev"
[  9858.359] (II) Unloading fbdev
[  9858.359] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  9858.359] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
	Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
	Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
	Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
	Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server
[  9858.359] (++) using VT number 8

[  9858.363] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[  9858.363] drmOpenDevice: node name is /dev/dri/card0
[  9858.363] drmOpenDevice: open result is 9, (OK)
[  9858.364] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[  9858.364] drmOpenDevice: node name is /dev/dri/card0
[  9858.364] drmOpenDevice: open result is 9, (OK)
[  9858.364] drmOpenByBusid: drmOpenMinor returns 9
[  9858.364] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[  9858.364] (II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[  9858.364] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[  9858.364] (==) intel(0): RGB weight 888
[  9858.364] (==) intel(0): Default visual is TrueColor
[  9858.364] (II) intel(0): Integrated Graphics Chipset: Intel(R) 965GM
[  9858.364] (--) intel(0): Chipset: "965GM"
[  9858.364] (**) intel(0): Relaxed fencing enabled
[  9858.364] (**) intel(0): Wait on SwapBuffers? enabled
[  9858.364] (**) intel(0): Triple buffering? enabled
[  9858.364] (**) intel(0): Framebuffer tiled
[  9858.364] (**) intel(0): Pixmaps tiled
[  9858.364] (**) intel(0): 3D buffers tiled
[  9858.364] (**) intel(0): SwapBuffers wait enabled
[  9858.364] (==) intel(0): video overlay key set to 0x101fe
[  9858.364] (II) intel(0): Output LVDS1 has no monitor section
[  9858.364] (II) intel(0): found backlight control interface /sys/class/backlight/acpi_video0
[  9858.380] (II) intel(0): Output VGA1 has no monitor section
[  9858.396] (II) intel(0): Output DVI1 has no monitor section
[  9858.396] (II) intel(0): EDID for output LVDS1
[  9858.396] (II) intel(0): Manufacturer: LEN  Model: 4050  Serial#: 0
[  9858.396] (II) intel(0): Year: 2006  Week: 0
[  9858.396] (II) intel(0): EDID Version: 1.3
[  9858.396] (II) intel(0): Digital Display Input
[  9858.396] (II) intel(0): Max Image Size [cm]: horiz.: 33  vert.: 21
[  9858.396] (II) intel(0): Gamma: 2.20
[  9858.396] (II) intel(0): DPMS capabilities: StandBy Suspend Off
[  9858.396] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[  9858.396] (II) intel(0): First detailed timing is preferred mode
[  9858.396] (II) intel(0): redX: 0.590 redY: 0.340   greenX: 0.320 greenY: 0.550
[  9858.396] (II) intel(0): blueX: 0.152 blueY: 0.130   whiteX: 0.313 whiteY: 0.329
[  9858.396] (II) intel(0): Manufacturer's mask: 0
[  9858.396] (II) intel(0): Supported detailed timing:
[  9858.396] (II) intel(0): clock: 71.1 MHz   Image Size:  331 x 207 mm
[  9858.396] (II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
[  9858.396] (II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
[  9858.396] (II) intel(0): Supported detailed timing:
[  9858.396] (II) intel(0): clock: 59.3 MHz   Image Size:  331 x 207 mm
[  9858.396] (II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 h_border: 0
[  9858.396] (II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 v_border: 0
[  9858.396] (II) intel(0): Unknown vendor-specific block f
[  9858.396] (II) intel(0):  LTN154X3-L02
[  9858.396] (II) intel(0): EDID (in hex):
[  9858.396] (II) intel(0): 	00ffffffffffff0030ae504000000000
[  9858.396] (II) intel(0): 	0010010380211578ea03159757528c27
[  9858.396] (II) intel(0): 	21505400000001010101010101010101
[  9858.396] (II) intel(0): 	010101010101c71b00a0502017303020
[  9858.396] (II) intel(0): 	36004bcf10000019261700a050201730
[  9858.396] (II) intel(0): 	302036004bcf100000190000000f0081
[  9858.396] (II) intel(0): 	0a32810a281401004ca35833000000fe
[  9858.396] (II) intel(0): 	004c544e31353458332d4c30320a0029
[  9858.396] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9858.396] (II) intel(0): Printing DDC gathered Modelines:
[  9858.396] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.396] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9858.396] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
[  9858.396] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[  9858.396] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[  9858.396] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
[  9858.397] (II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
[  9858.397] (II) intel(0): Printing probed modes for output LVDS1
[  9858.397] (II) intel(0): Modeline "1280x800"x60.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.397] (II) intel(0): Modeline "1280x800"x50.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9858.397] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  9858.397] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  9858.397] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
[  9858.397] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  9858.413] (II) intel(0): EDID for output VGA1
[  9858.429] (II) intel(0): EDID for output DVI1
[  9858.429] (II) intel(0): Output LVDS1 connected
[  9858.429] (II) intel(0): Output VGA1 disconnected
[  9858.429] (II) intel(0): Output DVI1 disconnected
[  9858.429] (II) intel(0): Using exact sizes for initial modes
[  9858.429] (II) intel(0): Output LVDS1 using initial mode 1280x800
[  9858.429] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[  9858.429] (II) intel(0): Kernel page flipping support detected, enabling
[  9858.429] (**) intel(0): Display dimensions: (330, 210) mm
[  9858.429] (**) intel(0): DPI set to (98, 96)
[  9858.429] (II) Loading sub module "fb"
[  9858.429] (II) LoadModule: "fb"
[  9858.429] (II) Loading /usr/lib/xorg/modules/libfb.so
[  9858.429] (II) Module fb: vendor="X.Org Foundation"
[  9858.429] 	compiled for 1.10.99.901, module version = 1.0.0
[  9858.429] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  9858.429] (II) Loading sub module "dri2"
[  9858.429] (II) LoadModule: "dri2"
[  9858.429] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[  9858.429] (II) Module dri2: vendor="X.Org Foundation"
[  9858.429] 	compiled for 1.10.99.901, module version = 1.2.0
[  9858.429] 	ABI class: X.Org Server Extension, version 5.0
[  9858.429] (==) Depth 24 pixmap format is 32 bpp
[  9858.429] (II) intel(0): [DRI2] Setup complete
[  9858.429] (II) intel(0): [DRI2]   DRI driver: i965
[  9858.429] (II) intel(0): Allocated new frame buffer 1280x800 stride 5120, tiled
[  9858.438] (II) UXA(0): Driver registered support for the following operations:
[  9858.438] (II)         solid
[  9858.438] (II)         copy
[  9858.438] (II)         composite (RENDER acceleration)
[  9858.438] (II)         put_image
[  9858.438] (II)         get_image
[  9858.438] (==) intel(0): Backing store disabled
[  9858.438] (==) intel(0): Silken mouse enabled
[  9858.438] (II) intel(0): Initializing HW Cursor
[  9858.495] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[  9858.498] (==) intel(0): DPMS enabled
[  9858.498] (==) intel(0): Intel XvMC decoder enabled
[  9858.498] (II) intel(0): Set up textured video
[  9858.498] (II) intel(0): Set up overlay video
[  9858.498] (II) intel(0): [XvMC] i965_xvmc driver initialized.
[  9858.498] (II) intel(0): direct rendering: DRI2 Enabled
[  9858.498] (==) intel(0): hotplug detection: "enabled"
[  9858.499] (--) RandR disabled
[  9858.499] (II) Initializing built-in extension Generic Event Extension
[  9858.499] (II) Initializing built-in extension SHAPE
[  9858.499] (II) Initializing built-in extension MIT-SHM
[  9858.499] (II) Initializing built-in extension XInputExtension
[  9858.499] (II) Initializing built-in extension XTEST
[  9858.499] (II) Initializing built-in extension BIG-REQUESTS
[  9858.499] (II) Initializing built-in extension SYNC
[  9858.499] (II) Initializing built-in extension XKEYBOARD
[  9858.499] (II) Initializing built-in extension XC-MISC
[  9858.499] (II) Initializing built-in extension SECURITY
[  9858.499] (II) Initializing built-in extension XINERAMA
[  9858.499] (II) Initializing built-in extension XFIXES
[  9858.499] (II) Initializing built-in extension RENDER
[  9858.499] (II) Initializing built-in extension RANDR
[  9858.499] (II) Initializing built-in extension COMPOSITE
[  9858.499] (II) Initializing built-in extension DAMAGE
[  9858.499] (II) SELinux: Disabled on system
[  9858.515] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[  9858.515] (II) AIGLX: enabled GLX_INTEL_swap_event
[  9858.515] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[  9858.515] (II) AIGLX: enabled GLX_SGI_make_current_read
[  9858.515] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[  9858.515] (II) AIGLX: Loaded and initialized i965
[  9858.515] (II) GLX: Initialized DRI2 GL provider for screen 0
[  9858.516] (II) intel(0): Setting screen physical size to 338 x 211
[  9858.556] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[  9858.556] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  9858.556] (II) LoadModule: "evdev"
[  9858.556] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.556] (II) Module evdev: vendor="X.Org Foundation"
[  9858.556] 	compiled for 1.10.99.901, module version = 2.6.0
[  9858.556] 	Module class: X.Org XInput Driver
[  9858.556] 	ABI class: X.Org XInput driver, version 13.0
[  9858.556] (II) Using input driver 'evdev' for 'Power Button'
[  9858.556] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.556] (**) Power Button: always reports core events
[  9858.556] (**) Power Button: Device: "/dev/input/event2"
[  9858.556] (--) Power Button: Found keys
[  9858.556] (II) Power Button: Configuring as keyboard
[  9858.556] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[  9858.556] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[  9858.556] (**) Option "xkb_rules" "evdev"
[  9858.556] (**) Option "xkb_model" "thinkpad60"
[  9858.556] (**) Option "xkb_layout" "pl"
[  9858.556] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.578] (II) config/udev: Adding input device Video Bus (/dev/input/event3)
[  9858.578] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[  9858.578] (II) Using input driver 'evdev' for 'Video Bus'
[  9858.578] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.578] (**) Video Bus: always reports core events
[  9858.578] (**) Video Bus: Device: "/dev/input/event3"
[  9858.578] (--) Video Bus: Found keys
[  9858.578] (II) Video Bus: Configuring as keyboard
[  9858.578] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input3/event3"
[  9858.578] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[  9858.578] (**) Option "xkb_rules" "evdev"
[  9858.578] (**) Option "xkb_model" "thinkpad60"
[  9858.578] (**) Option "xkb_layout" "pl"
[  9858.578] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.579] (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
[  9858.579] (II) No input driver/identifier specified (ignoring)
[  9858.579] (II) config/udev: Adding input device Sleep Button (/dev/input/event1)
[  9858.579] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[  9858.579] (II) Using input driver 'evdev' for 'Sleep Button'
[  9858.579] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.579] (**) Sleep Button: always reports core events
[  9858.579] (**) Sleep Button: Device: "/dev/input/event1"
[  9858.579] (--) Sleep Button: Found keys
[  9858.579] (II) Sleep Button: Configuring as keyboard
[  9858.579] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1/event1"
[  9858.579] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 8)
[  9858.579] (**) Option "xkb_rules" "evdev"
[  9858.579] (**) Option "xkb_model" "thinkpad60"
[  9858.579] (**) Option "xkb_layout" "pl"
[  9858.579] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.579] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event7)
[  9858.579] (**) Logitech USB Receiver: Applying InputClass "evdev pointer catchall"
[  9858.579] (**) Logitech USB Receiver: Applying InputClass "middle button emulation class"
[  9858.579] (II) Using input driver 'evdev' for 'Logitech USB Receiver'
[  9858.579] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.579] (**) Logitech USB Receiver: always reports core events
[  9858.579] (**) Logitech USB Receiver: Device: "/dev/input/event7"
[  9858.579] (--) Logitech USB Receiver: Found 20 mouse buttons
[  9858.580] (--) Logitech USB Receiver: Found scroll wheel(s)
[  9858.580] (--) Logitech USB Receiver: Found relative axes
[  9858.580] (--) Logitech USB Receiver: Found x and y relative axes
[  9858.580] (II) Logitech USB Receiver: Configuring as mouse
[  9858.580] (II) Logitech USB Receiver: Adding scrollwheel support
[  9858.580] (**) Option "Emulate3Buttons" "on"
[  9858.580] (**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
[  9858.580] (**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  9858.580] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-2/5-2:1.0/input/input7/event7"
[  9858.580] (II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE, id 9)
[  9858.580] (II) Logitech USB Receiver: initialized for relative axes.
[  9858.580] (**) Logitech USB Receiver: (accel) keeping acceleration scheme 1
[  9858.580] (**) Logitech USB Receiver: (accel) acceleration profile 0
[  9858.580] (**) Logitech USB Receiver: (accel) acceleration factor: 2.000
[  9858.580] (**) Logitech USB Receiver: (accel) acceleration threshold: 4
[  9858.580] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/mouse1)
[  9858.580] (**) Logitech USB Receiver: Applying InputClass "middle button emulation class"
[  9858.580] (II) No input driver/identifier specified (ignoring)
[  9858.580] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event8)
[  9858.580] (**) Logitech USB Receiver: Applying InputClass "evdev keyboard catchall"
[  9858.580] (II) Using input driver 'evdev' for 'Logitech USB Receiver'
[  9858.580] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.580] (**) Logitech USB Receiver: always reports core events
[  9858.580] (**) Logitech USB Receiver: Device: "/dev/input/event8"
[  9858.580] (--) Logitech USB Receiver: Found 1 mouse buttons
[  9858.580] (--) Logitech USB Receiver: Found scroll wheel(s)
[  9858.580] (--) Logitech USB Receiver: Found relative axes
[  9858.580] (--) Logitech USB Receiver: Found absolute axes
[  9858.580] (--) Logitech USB Receiver: Found keys
[  9858.580] (II) Logitech USB Receiver: Configuring as mouse
[  9858.580] (II) Logitech USB Receiver: Configuring as keyboard
[  9858.580] (II) Logitech USB Receiver: Adding scrollwheel support
[  9858.580] (**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
[  9858.580] (**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  9858.580] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-2/5-2:1.1/input/input8/event8"
[  9858.580] (II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: KEYBOARD, id 10)
[  9858.580] (**) Option "xkb_rules" "evdev"
[  9858.580] (**) Option "xkb_model" "thinkpad60"
[  9858.580] (**) Option "xkb_layout" "pl"
[  9858.580] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.580] (EE) Logitech USB Receiver: failed to initialize for relative axes.
[  9858.581] (II) Logitech USB Receiver: initialized for absolute axes.
[  9858.581] (**) Logitech USB Receiver: (accel) keeping acceleration scheme 1
[  9858.581] (**) Logitech USB Receiver: (accel) acceleration profile 0
[  9858.581] (**) Logitech USB Receiver: (accel) acceleration factor: 2.000
[  9858.581] (**) Logitech USB Receiver: (accel) acceleration threshold: 4
[  9858.581] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event4)
[  9858.581] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[  9858.581] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[  9858.581] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.581] (**) AT Translated Set 2 keyboard: always reports core events
[  9858.581] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event4"
[  9858.581] (--) AT Translated Set 2 keyboard: Found keys
[  9858.581] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[  9858.581] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input4/event4"
[  9858.581] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 11)
[  9858.581] (**) Option "xkb_rules" "evdev"
[  9858.581] (**) Option "xkb_model" "thinkpad60"
[  9858.581] (**) Option "xkb_layout" "pl"
[  9858.581] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.581] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event6)
[  9858.581] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[  9858.581] (II) Using input driver 'evdev' for 'SynPS/2 Synaptics TouchPad'
[  9858.581] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.581] (**) SynPS/2 Synaptics TouchPad: always reports core events
[  9858.581] (**) SynPS/2 Synaptics TouchPad: Device: "/dev/input/event6"
[  9858.581] (--) SynPS/2 Synaptics TouchPad: Found 3 mouse buttons
[  9858.581] (--) SynPS/2 Synaptics TouchPad: Found absolute axes
[  9858.581] (--) SynPS/2 Synaptics TouchPad: Found x and y absolute axes
[  9858.581] (--) SynPS/2 Synaptics TouchPad: Found absolute touchpad.
[  9858.581] (II) SynPS/2 Synaptics TouchPad: Configuring as touchpad
[  9858.581] (**) SynPS/2 Synaptics TouchPad: YAxisMapping: buttons 4 and 5
[  9858.581] (**) SynPS/2 Synaptics TouchPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  9858.581] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input6/event6"
[  9858.581] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 12)
[  9858.581] (II) SynPS/2 Synaptics TouchPad: initialized for absolute axes.
[  9858.582] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[  9858.582] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
[  9858.582] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[  9858.582] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[  9858.582] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[  9858.582] (II) No input driver/identifier specified (ignoring)
[  9858.582] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event9)
[  9858.582] (**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
[  9858.582] (**) TPPS/2 IBM TrackPoint: Applying InputClass "middle button emulation class"
[  9858.582] (II) Using input driver 'evdev' for 'TPPS/2 IBM TrackPoint'
[  9858.582] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.582] (**) TPPS/2 IBM TrackPoint: always reports core events
[  9858.582] (**) TPPS/2 IBM TrackPoint: Device: "/dev/input/event9"
[  9858.582] (--) TPPS/2 IBM TrackPoint: Found 3 mouse buttons
[  9858.582] (--) TPPS/2 IBM TrackPoint: Found relative axes
[  9858.582] (--) TPPS/2 IBM TrackPoint: Found x and y relative axes
[  9858.582] (II) TPPS/2 IBM TrackPoint: Configuring as mouse
[  9858.582] (**) Option "Emulate3Buttons" "on"
[  9858.582] (**) TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
[  9858.582] (**) TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  9858.582] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/serio2/input/input9/event9"
[  9858.582] (II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE, id 13)
[  9858.582] (II) TPPS/2 IBM TrackPoint: initialized for relative axes.
[  9858.582] (**) TPPS/2 IBM TrackPoint: (accel) keeping acceleration scheme 1
[  9858.582] (**) TPPS/2 IBM TrackPoint: (accel) acceleration profile 0
[  9858.582] (**) TPPS/2 IBM TrackPoint: (accel) acceleration factor: 2.000
[  9858.582] (**) TPPS/2 IBM TrackPoint: (accel) acceleration threshold: 4
[  9858.582] (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse2)
[  9858.582] (**) TPPS/2 IBM TrackPoint: Applying InputClass "middle button emulation class"
[  9858.582] (II) No input driver/identifier specified (ignoring)
[  9858.583] (II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event5)
[  9858.583] (**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
[  9858.583] (II) Using input driver 'evdev' for 'ThinkPad Extra Buttons'
[  9858.583] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.583] (**) ThinkPad Extra Buttons: always reports core events
[  9858.583] (**) ThinkPad Extra Buttons: Device: "/dev/input/event5"
[  9858.583] (--) ThinkPad Extra Buttons: Found keys
[  9858.583] (II) ThinkPad Extra Buttons: Configuring as keyboard
[  9858.583] (**) Option "config_info" "udev:/sys/devices/platform/thinkpad_acpi/input/input5/event5"
[  9858.583] (II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD, id 14)
[  9858.583] (**) Option "xkb_rules" "evdev"
[  9858.583] (**) Option "xkb_model" "thinkpad60"
[  9858.583] (**) Option "xkb_layout" "pl"
[  9858.583] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.584] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event10)
[  9858.584] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[  9858.584] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard Device'
[  9858.584] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  9858.584] (**) ACPI Virtual Keyboard Device: always reports core events
[  9858.584] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event10"
[  9858.584] (--) ACPI Virtual Keyboard Device: Found keys
[  9858.584] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[  9858.584] (**) Option "config_info" "udev:/sys/devices/virtual/input/input10/event10"
[  9858.584] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD, id 15)
[  9858.584] (**) Option "xkb_rules" "evdev"
[  9858.584] (**) Option "xkb_model" "thinkpad60"
[  9858.584] (**) Option "xkb_layout" "pl"
[  9858.584] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[  9858.589] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9858.589] (II) intel(0): Printing DDC gathered Modelines:
[  9858.589] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.589] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9858.751] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9858.751] (II) intel(0): Printing DDC gathered Modelines:
[  9858.751] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.751] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9858.784] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9858.784] (II) intel(0): Printing DDC gathered Modelines:
[  9858.784] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.784] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9858.817] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9858.817] (II) intel(0): Printing DDC gathered Modelines:
[  9858.817] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.817] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9858.850] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9858.850] (II) intel(0): Printing DDC gathered Modelines:
[  9858.850] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9858.850] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9865.006] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9865.006] (II) intel(0): Printing DDC gathered Modelines:
[  9865.006] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9865.006] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9865.040] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9865.040] (II) intel(0): Printing DDC gathered Modelines:
[  9865.040] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9865.040] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9865.073] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9865.073] (II) intel(0): Printing DDC gathered Modelines:
[  9865.073] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9865.073] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9865.105] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9865.105] (II) intel(0): Printing DDC gathered Modelines:
[  9865.105] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9865.105] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9866.000] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9866.000] (II) intel(0): Printing DDC gathered Modelines:
[  9866.000] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9866.000] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9924.197] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9924.197] (II) intel(0): Printing DDC gathered Modelines:
[  9924.197] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9924.197] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9924.254] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9924.254] (II) intel(0): Printing DDC gathered Modelines:
[  9924.254] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9924.254] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[  9924.383] (II) intel(0): EDID vendor "LEN", prod id 16464
[  9924.383] (II) intel(0): Printing DDC gathered Modelines:
[  9924.383] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[  9924.383] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[ 10144.426] (II) intel(0): EDID vendor "LEN", prod id 16464
[ 10144.426] (II) intel(0): Printing DDC gathered Modelines:
[ 10144.426] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[ 10144.426] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[ 10995.543] (II) intel(0): EDID vendor "LEN", prod id 16464
[ 10995.543] (II) intel(0): Printing DDC gathered Modelines:
[ 10995.543] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[ 10995.543] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[ 10995.607] (II) intel(0): EDID vendor "LEN", prod id 16464
[ 10995.607] (II) intel(0): Printing DDC gathered Modelines:
[ 10995.607] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[ 10995.607] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[ 10995.751] (II) intel(0): EDID vendor "LEN", prod id 16464
[ 10995.751] (II) intel(0): Printing DDC gathered Modelines:
[ 10995.751] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[ 10995.751] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[ 11186.048] (EE) intel(0): Detected a hung GPU, disabling acceleration.
[ 11186.048] (EE) intel(0): When reporting this, please include i915_error_state from debugfs and the full dmesg.
[ 11186.078] (WW) intel(0): flip queue failed: Input/output error
[ 11186.086] (WW) intel(0): Page flip failed: Input/output error
[ 11186.094] (WW) intel(0): flip queue failed: Device or resource busy
[ 11186.094] (WW) intel(0): Page flip failed: Device or resource busy
[ 11186.438] (WW) intel(0): flip queue failed: Device or resource busy
[ 11186.438] (WW) intel(0): Page flip failed: Device or resource busy
[ 11186.438] (WW) intel(0): flip queue failed: Device or resource busy
[ 11186.438] (WW) intel(0): Page flip failed: Device or resource busy
[ 11186.475] (WW) intel(0): flip queue failed: Device or resource busy
[ 11186.475] (WW) intel(0): Page flip failed: Device or resource busy
[ 11186.475] (WW) intel(0): flip queue failed: Device or resource busy
[ 11186.475] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.417] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.417] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.417] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.417] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.453] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.453] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.453] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.453] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.490] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.490] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.490] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.490] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.527] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.527] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.527] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.527] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.564] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.564] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.564] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.564] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.598] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.598] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.598] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.598] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.638] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.638] (WW) intel(0): Page flip failed: Device or resource busy
[ 11187.638] (WW) intel(0): flip queue failed: Device or resource busy
[ 11187.638] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.206] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.207] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.207] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.207] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.423] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.423] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.423] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.423] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.638] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.638] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.638] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.638] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.743] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.743] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.743] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.743] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.851] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.851] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.851] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.851] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.955] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.955] (WW) intel(0): Page flip failed: Device or resource busy
[ 11188.955] (WW) intel(0): flip queue failed: Device or resource busy
[ 11188.955] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.087] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.087] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.087] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.087] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.281] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.281] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.281] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.281] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.353] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.353] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.353] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.353] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.476] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.476] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.476] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.476] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.577] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.577] (WW) intel(0): Page flip failed: Device or resource busy
[ 11189.577] (WW) intel(0): flip queue failed: Device or resource busy
[ 11189.577] (WW) intel(0): Page flip failed: Device or resource busy
[ 11190.508] (WW) intel(0): flip queue failed: Device or resource busy
[ 11190.508] (WW) intel(0): Page flip failed: Device or resource busy
[ 11190.508] (WW) intel(0): flip queue failed: Device or resource busy
[ 11190.508] (WW) intel(0): Page flip failed: Device or resource busy
[ 11190.669] (WW) intel(0): flip queue failed: Device or resource busy
[ 11190.669] (WW) intel(0): Page flip failed: Device or resource busy
[ 11190.669] (WW) intel(0): flip queue failed: Device or resource busy
[ 11190.669] (WW) intel(0): Page flip failed: Device or resource busy
[ 11191.619] (WW) intel(0): flip queue failed: Device or resource busy
[ 11191.619] (WW) intel(0): Page flip failed: Device or resource busy
[ 11191.619] (WW) intel(0): flip queue failed: Device or resource busy
[ 11191.619] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.510] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.510] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.510] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.510] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.546] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.546] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.546] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.546] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.598] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.599] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.599] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.599] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.978] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.978] (WW) intel(0): Page flip failed: Device or resource busy
[ 11193.978] (WW) intel(0): flip queue failed: Device or resource busy
[ 11193.978] (WW) intel(0): Page flip failed: Device or resource busy
[ 11206.047] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 11235.614] (II) Open ACPI successful (/var/run/acpid.socket)
[ 11235.614] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 11235.622] (II) intel(0): EDID vendor "LEN", prod id 16464
[ 11235.622] (II) intel(0): Printing DDC gathered Modelines:
[ 11235.622] (II) intel(0): Modeline "1280x800"x0.0   71.11  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (49.4 kHz)
[ 11235.622] (II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 823 -hsync -vsync (41.2 kHz)
[ 11235.756] (WW) intel(0): I830DRI2GetMSC:1297 get vblank counter failed: Invalid argument
[ 11235.816] (WW) intel(0): I830DRI2GetMSC:1297 get vblank counter failed: Invalid argument
[ 11235.816] (WW) intel(0): I830DRI2GetMSC:1297 get vblank counter failed: Invalid argument
[ 11235.817] (WW) intel(0): I830DRI2ScheduleWaitMSC:1364 get vblank counter failed: Invalid argument
[ 11235.861] (WW) intel(0): I830DRI2GetMSC:1297 get vblank counter failed: Invalid argument
[ 11235.867] (WW) intel(0): I830DRI2GetMSC:1297 get vblank counter failed: Invalid argument
[ 11235.868] (WW) intel(0): I830DRI2ScheduleWaitMSC:1364 get vblank counter failed: Invalid argument
[ 11235.888] (WW) intel(0): I830DRI2ScheduleWaitMSC:1364 get vblank counter failed: Invalid argument
[ 11236.102] (WW) intel(0): I830DRI2ScheduleWaitMSC:1364 get vblank counter failed: Invalid argument
[ 11236.516] (WW) intel(0): first get vblank counter failed: Invalid argument
[ 11236.614] (WW) intel(0): first get vblank counter failed: Invalid argument
[ 11236.638] (WW) intel(0): I830DRI2ScheduleWaitMSC:1364 get vblank counter failed: Invalid argument
[ 11236.725] (WW) intel(0): first get vblank counter failed: Invalid argument
[ 11237.522] (WW) intel(0): first get vblank counter failed: Invalid argument
[ 11237.799] (II) AIGLX: Suspending AIGLX clients for VT switch

OpenGL version string: 2.1 Mesa 7.11-devel
OpenGL shading language version string: 1.20
Comment 1 Eugeni Dodonov 2011-08-23 15:12:41 UTC
As I commented on irc, the i915_error_state from debugfs would be interesting in this case. As you don't have /sys/kernel/debug, try doing the following:
# mkdir /tmp/debugfs
# mount -t debugfs /tmp/debugfs /tmp/debugfs

and attach the content of /tmp/debugfs/dri/0/i915_error_stace to this bug.

Thanks!
Comment 2 Mateusz Kaduk 2011-08-27 02:21:04 UTC
Created attachment 50613 [details]
cat /tmp/debugfs/dri/0/i915_error_state 

File after launching game which results in black screen(turned off) and reboot was needed.
Comment 3 Joel 2011-08-29 05:48:32 UTC
After upgrading to 7.11 in fedora 15 I get these periodic GPU hangs in Neverwinter nights. Slightly less painful to trigger as they seem to be non fatal in (est.) 19 times out of 20.

The i915_error_state dumps are rather big (just above 2MB), so I will only upload them on request.
Comment 4 Joel 2011-08-29 06:50:38 UTC
...and after trying current git (using environment variables to select it) my GPU freezes with NwN. are gone.

Sorry for my noise.
Comment 5 Joel 2011-08-29 09:11:21 UTC
Spoke to soon, had compiled only the 64 bit driver (which wasnt used), hangs persist in git.

> Sorry for my noise.
Comment 6 Eugeni Dodonov 2011-08-29 09:26:25 UTC
Could you try bisecting the issue? Or inform the version of mesa where everything was working correctly?

Also, what is your video card/system generation - is it sandy bridge?

Thanks!
Comment 7 Joel 2011-08-29 17:36:35 UTC
> Could you try bisecting the issue? 

Bisect resulted in following first BAD commit: 
http://cgit.freedesktop.org/mesa/mesa/commit/?id=3e5d36267d8c9536490c902f785137a7fa0637fc

> Also, what is your video card/system generation - is it sandy bridge?

It is also a SandyBridge 
(from /proc/cpuinfo)
cpu family      : 6
model           : 42
model name      : Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
stepping        : 7

This bisect was done with Neverwinter nights 1.69 (which use 32-bit libGL).
Comment 8 Eugeni Dodonov 2011-09-02 12:55:18 UTC
To rule out possible issues, could you see if it can be reproduced with semaphores disabled (e.g., i915.semaphores=0 boot parameter) please?
Comment 9 Joel 2011-09-03 12:10:42 UTC
With i915.semaphores=0 It still hangs for me in Neverwinter nights. Did not test other game.
Comment 10 Joel 2011-09-07 13:26:06 UTC
Newest mesa (rev 4bc5bfb641bce931bf35f0e78ec2b44263d152ba) has fixed my hangs. 

Can you test with "Heroes of Newerth" too, Mateusz?
Comment 11 Mateusz Kaduk 2011-09-07 23:50:17 UTC
(In reply to comment #10)
> Newest mesa (rev 4bc5bfb641bce931bf35f0e78ec2b44263d152ba) has fixed my hangs. 
> 
> Can you test with "Heroes of Newerth" too, Mateusz?

I can test, but I need instructions how to do it step by step. Also I don't want to install a lot of *-dev libraries and stuff that I don't normally need.
Comment 12 Joel 2011-09-10 03:48:46 UTC
Pardon my previous comment above. The revision given does _not_ fix the gpu hangs. I must have had a dirty build. Bug is still present.
Comment 13 Joel 2011-09-17 14:45:45 UTC
I just upgraded to Fedora 16 alpha, and now the hangs are back. I used the same mesa source tree that I had working before the upgrade. I even tried to get the SRPM of xorg-x11-drv-intel used in F15 (version 15) but that didnt change anything.

Any ideas?
Comment 14 Joel 2011-09-18 06:15:28 UTC
I got it 'working' (at least not triggering the hang) again. I had forgot to add myself to the video group, which caused the driver fallback to indirect renderering.
Comment 15 Joel 2011-10-04 15:26:30 UTC
I've removed 'indirect rendering' in the title as that has nothing to do with the bug.

Please ignore my comments 10, 12, 13 and 14.

Comment 7:
Bisect resulted in following first BAD commit: 
http://cgit.freedesktop.org/mesa/mesa/commit/?id=3e5d36267d8c9536490c902f785137a7fa0637fc

Still applies,
Comment 16 Joel 2011-10-04 17:27:51 UTC
I installed Heroes of Newerth and played trough the tutorial without hangs using Fedora 16

libdrm.x86_64                                                   2.4.26-1.fc16                                                        mesa-dri-drivers.x86_64                                         7.11-4.fc16                                                          mesa-dri-filesystem.x86_64                                      7.11-4.fc16                                                          mesa-libGL.i686                                                 7.11-4.fc16                                                          mesa-libGL.x86_64                                               7.11-4.fc16                                                          mesa-libGL-devel.i686                                           7.11-4.fc16                                                          mesa-libGL-devel.x86_64                                         7.11-4.fc16                                                          mesa-libGLU.x86_64                                              7.11-4.fc16                                                          mesa-libGLU-devel.x86_64                                        7.11-4.fc16                                                          mesa-libGLw.x86_64                                              6.5.1-9.fc15                                                         xorg-x11-drv-intel.x86_64                                       2.16.0-2.fc16                                                        xorg-x11-server-Xorg.x86_64                                     1.11.1-1.fc16                                                        

I also checked with mesa git and they appear to work as well.

(Still problems with Neverwinter, but my track record on this bug clearly shows why filing separate bugs for separate applications is a good idea)
Comment 17 Joel 2011-10-04 17:32:17 UTC
(unintentional resolved)
Comment 18 Kenneth Graunke 2011-10-21 11:25:08 UTC
You might try this patch:
http://lists.freedesktop.org/archives/mesa-dev/2011-October/013518.html
Comment 19 Kenneth Graunke 2011-10-24 14:27:17 UTC
Hopefully this patch (now in Mesa master) should fix the issue.

commit 3cc0a7be23ab603ed40d602595f673a44e079885
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Fri Oct 21 01:03:37 2011 -0700

    i965: Apply post-sync non-zero workaround to homebrew workaround.
    
    In commit 3e5d3626, Eric added a homebrew workaround to fix GPU hangs in
    the Mesa "engine" demo and oglc's api-texcoord test.
    
    Unfortunately, his PIPE_CONTROL contains a Depth Stall, which
    necessitates the post-sync non-zero workaround,
    
    Fixes GPU hangs in Civilization 4, PlaneShift, and 3DMMES.
    Hopefully Heroes of Newerth as well, though I haven't tested that.
    
    NOTE: This is candidate for the 7.11 branch.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=40324
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=41096
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-and-tested-by: Eric Anholt <eric@anholt.net>
Comment 20 Joel 2011-10-24 14:32:06 UTC
I could never reproduce it with Heroes of Newerth, but that patch
(commit 3cc0a7be23ab603ed40d602595f673a44e079885 )
definitely fixes the GPU hangs in Neverwinter nights, and I've good hopes it fixes a seldom struck hang in supertuxkart too. On the latter, I will know in one or two weeks. :)

Thank you very much!